Public Class Frm_Intro
    Public Overrides Function AcceptChanged() As Boolean

    End Function
    Public Overrides Function RejectChanged() As Boolean

    End Function
    Public Overrides Function HasChanged() As Boolean

    End Function

    Private Sub Save_SEtting()
        If Me.RadioButton1.Checked Then
            Setting.Data("user", "program") = "eco2"
        ElseIf Me.RadioButton2.Checked Then
            Setting.Data("user", "program") = "od"
        End If
    End Sub

    Private Sub Frm_Login_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        Select Case e.KeyCode
            Case Keys.Escape
                Me.DialogResult = Windows.Forms.DialogResult.Cancel
                Me.Close()
        End Select
    End Sub

    Private Sub Frm_Login_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        '//마지막으로사용한 정보를 찾아서 자동 선택한다
        Dim program As String = Setting.Read("user", "program", "od")
        If program = "od" Then
            Me.RadioButton2.Checked = True
        ElseIf program = "eco2" Then
            Me.RadioButton1.Checked = True
        End If

        '//170518 default 
        ' Me.RadioButton1.Checked = True
    End Sub


    Private Sub C1Button1_Click(sender As Object, e As EventArgs) Handles BtOK.Click

        'If Me.RadioButton2.Checked Then
        '    MsgBox("현재 개발 진행중입니다.", MsgBoxStyle.Information, "확인")
        '    RadioButton1.Checked = True
        '    Return
        'End If
        If RadioButton1.Checked = False AndAlso Me.RadioButton2.Checked = False Then
            MsgBox("프로그램을 선택하세요", MsgBoxStyle.Information, "확인")
            Return
        Else
            Save_SEtting()
            Me.DialogResult = Windows.Forms.DialogResult.OK
        End If
    End Sub

End Class